kdevelop (4:5.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

  [ Maximiliano Curia ]
  * Update uploaders list as requested by MIA team (Closes: #879333)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 17 Nov 2017 14:14:27 +0100

kdevelop (4:5.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Following the kdevplatform merge, merge the packaging bits from the
    kdevplatform source:
    - add a new kdevelop52-libs package, with only public shared libraries
    - add kdevplatform-dev as transitional package for kdevelop-dev
    - add kdevplatform-l10n as transitional package for kdevelop-l10n
    - add breaks/replaces against the old kdevplatform packages
  * Update install files.
  * Merge the build dependencies from kdevplatform: add
    libboost-serialization-dev, libgrantlee5-dev, libkf5archive-dev,
    libkf5guiaddons-dev, libkf5notifications-dev, libkf5sonnet-dev,
    libkf5widgetsaddons-dev, libkomparediff2-dev, and libsvn-dev.
  * Remove the kdevplatform-dev build dependency.
  * Add to kdevelop more suggests from kdevplatformN-libs: cvs, git, and
    konsole.
  * Update lintian overrides.
  * Bring from kdevplatform the handling of dh_makeshlibs with -V, to generate
    a shlibs dependency for the current version.
  * Simplify the watch file, switching it to https.
  * Merge the kdevelop-dev dependencies from kdevplatform-dev.
  * Drop all the pre-Jessie replaces/breaks.
  * Switch Homepage to https.

 -- Pino Toscano <pino@debian.org>  Thu, 16 Nov 2017 20:50:56 +0100

kdevelop (4:5.1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Bump the kdevplatform-dev build & runtime dependencies to 5.1.2, as
    indicated by the upstream build system.

 -- Pino Toscano <pino@debian.org>  Tue, 29 Aug 2017 21:11:16 +0200

kdevelop (4:5.1.1-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Make kdevelop depend upon kinit, it's required to get KIO support
    (Closes: #851701). Thanks George Kiagiadakis for the bug report.
  * Update packages descriptions to the more precise ones used by upstream.
    Thanks frinring for the tip!

  [ Pino Toscano ]
  * New upstream release.
  * Bump the kdevplatform-dev build & runtime dependencies to 5.1.1, as
    indicated by the upstream build system.
  * Update install files.
  * Bump Standards-Version to 4.0.0, no changes required.
  * Suggest cppcheck, as optional runtime tool.
  * Do not install the upstream README anymore.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jul 2017 12:04:11 +0200

kdevelop (4:5.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Bump kdevplatform-dev build-dependency version.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Jan 2017 16:23:12 -0300

kdevelop (4:5.0.1-3) unstable; urgency=medium

  * Bump llvm and clang build dependencies to 3.9. This avoids a crash when
    users are running video drivers compiled against llvm 3.9. Yes, it's a
    temporal fix only (Closes: #846410).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Dec 2016 09:41:42 -0300

kdevelop (4:5.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Promote the kdevplatform-l10n recommend in kdevelop-l10n to a dependency:
    it is highly unlikely that you want translations for kdevelop without the
    underlying libraries translated.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Sep 2016 23:02:17 +0200

kdevelop (4:5.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Replace the transitional build dependencies:
    - kdoctools-dev -> libkf5doctools-dev
    - kio-dev -> libkf5kio-dev
  * Bump the kdevplatform-dev (build) dependency to >= 5.0.1.
  * Bump the llvm-3.8-dev, and libclang-3.8-dev to >= 1:3.8.1, to avoid
    building with older LLVM versions.
  * Add the kio-extras recommend in kdevelop, as it is used for browsing the
    man documentation.

 -- Pino Toscano <pino@debian.org>  Mon, 19 Sep 2016 23:18:33 +0200

kdevelop (4:5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - switches from Qt4 (using QtWebKit) to Frameworks (Closes: #784483)
    - the Frameworks version of kdoctools does not create "common" symlinks
      anymore (Closes: #787409)
  * Update the build dependencies following the port to Frameworks:
    - remove libqjson-dev, and libqtwebkit-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev, qttools5-dev,
      qttools5-dev-tools, libqt5webkit5-dev, libkf5config-dev, libkf5crash-dev,
      libkf5declarative-dev, kdoctools-dev, libkf5iconthemes-dev,
      libkf5i18n-dev, libkf5itemmodels-dev, libkf5itemviews-dev,
      libkf5jobwidgets-dev, libkf5kcmutils-dev, kio-dev, libkf5newstuff-dev,
      libkf5notifyconfig-dev, libkf5parts-dev, libkf5service-dev,
      libkf5texteditor-dev, libkf5threadweaver-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, and kdevelop-pg-qt
  * Bump build dependencies according to the upstream build system:
    - bump cmake to >= 2.8.12
    - bump kdevplatform-dev to >= 5.0
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the patches:
    - fix-parallel.diff: drop, no more needed
  * Add the llvm-3.8-dev and libclang-3.8-dev build dependencies for the C++
    language support; specifically pick version 3.8 since it is what mesa uses,
    and it is thus loaded when using QML stuff.
  * Update install files.
  * Disable building of unit tests, as long as they are not run.
  * Pass --list-missing to dh_install.
  * Update lintian overrides.
  * Install qmake_qt4guiapp.tar.bz2 again, since the conflict with kapptemplate
    should be long gone.
  * Remove the kdelibs5-dev dependency in kdevelop-dev, and bump the
    kdevplatform-dev one to >= 5.0.
  * Add the okteta-dev build dependency to enable the okteta plugin; the minimum
    version ensures okteta-dev is fixed and depends on all the libraries for
    which it provides headers.
  * Add the libkf5sysguard-dev build dependency to enable again the process
    attaching functionalities. (Closes: #803953)
  * Add a new plasma-kdevelop package with the Plasma/KRunner plugins:
    - add the libkf5plasma-dev, and libkf5runner-dev build dependencies
    - add everything for Linux only, since the needed libraries are not fully
      available on non-Linux architectures

 -- Pino Toscano <pino@debian.org>  Thu, 01 Sep 2016 19:36:35 +0200

kdevelop (4:4.7.3-3) unstable; urgency=medium

  * Team upload.
  * Remove kdevelop-dbg in favour of the -dbgsym packages.

 -- Pino Toscano <pino@debian.org>  Mon, 06 Jun 2016 22:21:14 +0200

kdevelop (4:4.7.3-2) unstable; urgency=medium

  * Team upload to unstable.
  * Remove optional okteta-dev from build dependencies in order to let the KF5
    version of it enter unstable.
    - Adjust kdevelop-data.install accordingly.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 May 2016 18:25:25 -0300

kdevelop (4:4.7.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump kdevplatform-dev build dependency to 1.7.3.
  * Improve uscan to search for different compression methods in tarballs
    and to repack the tarball with xz compression if necessary.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Update Vcs-[Browser Git] to their https versions.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 30 Apr 2016 15:02:31 -0300

kdevelop (4:4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - dont-use-removed-temporaries.diff: drop, backported from upstream
  * Drop menu file and its pixmap, since kdevelop already provides a .desktop
    file.
  * Remove extra libsoprano-dev build dependency, which was added as workaround
    for a bug in kdelibs5-dev.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Bump kdevplatform-dev build dependency to >= 1.7.2.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2016 22:02:43 +0100

kdevelop (4:4.7.1-2) unstable; urgency=medium

  * Add libkdevcompilerprovider to ensure that code navigation works.
  * Backport patch from upstream to fix a crash when parsing bits/c++config.h.

 -- Sune Vuorela <sune@debian.org>  Sat, 26 Sep 2015 08:41:23 +0200

kdevelop (4:4.7.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Change section of kdevelop-dev to libdevel.
  * Add ${misc:Depends} in kdevelop-dbg and kdevelop-l10n.

  [ Sune Vuorela ]
  * Make KDevelop recommend kapptemplate to have more meaningful project
    templates available.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump kdevplatform-dev build dependency to 1.7.1.
  * Remove kde-workspace from build dependencies. We no longer provide
    a KDE 4 based workspace.
    - Add libsoprano-dev as a build dependency, it was probably previously
      pulled in by kde-workspace.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Sep 2015 21:10:24 -0300

kdevelop (4:4.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Bump kdevplatform-dev build dependency to 1.7.0.
  * Refresh patches.
  * Update copyright.

  [ Pino Toscano ]
  * Update copyright.
  * Add the pkg-config build dependency.
  * Update install files.
  * Install kdevelop.xpm using .install file.
  * Bump the debhelper compatibility to 9:
    - bump compat to 9
    - bump the debhelper build dependency to 9
  * Convert rules to the dh sequencer with kde addon.
  * Remove unused cdbs build dependency.
  * Suggest ninja-build in kdevelop, as there is a plugin using it.

 -- Pino Toscano <pino@debian.org>  Tue, 23 Sep 2014 22:18:30 +0200

kdevelop (4:4.5.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Andreas Cord-Landwehr ]
  * Remove patch okteta_optional_structures_tool.diff, applied upstream.
  * Bump build dependency for kdevplatform-dev to 1.5.2.
  * Bump Standards-Version to 3.9.5: no changes needed.
  * Update debian/watch file to track xz compressed tarballs (Closes: #731896)

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2014 10:13:08 +0100

kdevelop (4:4.5.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.

  [ Andreas Cord-Landwehr ]
  * Fix build on big endian platforms.
  * Release fixes parser crashes: (Closes: #721968, #719284)

  [ Pino Toscano ]
  * Bump the okteta-dev build dependency to > 4.10, as previous versions are
    not recognized. (Closes: #718076)
  * Fix Vcs-* headers.

 -- Pino Toscano <pino@debian.org>  Fri, 06 Sep 2013 19:46:51 +0200

kdevelop (4:4.5.1-1) experimental; urgency=low

  [ Pino Toscano ]
  * Make kdevelop-data break/replace kdevelop-doc << 4.3 (it was part of
    kdevelop 3.5).

  [ Andreas Cord-Landwehr]
  * Bump build dependency for kdevplatform-dev to 1.5.1.
  * Remove patch for compile switch for Okteta structure tool since
    BIG_ENDIAN compile switch implemented by upstream
    (remove patch okteta_optional_structures_tool.diff)
  * Add libqjson-dev build dependency.
  * New upstream release:
    - fixes parsing of libc header files (Closes: #707215)
  * Bump Standards-Version to 3.9.4: no changes needed.
  * Update copyright.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 25 May 2012 23:56:49 +0200

kdevelop (4:4.3.1-3) unstable; urgency=low

  * Team upload.
  * Fix parallel building; patch fix-parallel.diff.

 -- Pino Toscano <pino@debian.org>  Mon, 21 May 2012 12:52:03 +0200

kdevelop (4:4.3.1-2) unstable; urgency=low

  * Team upload. Upload to unstable.
  * Slightly improve the description of kdevelop-l10n.

 -- Pino Toscano <pino@debian.org>  Sun, 20 May 2012 11:46:44 +0200

kdevelop (4:4.3.1-1) experimental; urgency=low

  * Team upload.

  [ Andreas Cord-Landwehr ]
  * New upstream release:
    - fixes building with GCC 4.7. (Closes: #672065)
  * Bump build dependency kdevplatform-dev to version 1.3.1
  * Update build dependency from kdebase-workspace-dev to kde-workspace-dev.
  * Update debian/copyright.
  * Update patch.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 18 May 2012 18:14:14 +0200

kdevelop (4:4.2.3-2) unstable; urgency=medium

  * Team upload.
  * Detect whether the Okteta structure tool is compiled, and if it is not
    do not use it in the Okteta plugin; this fixes compilation on architectures
    with no structures tool, i.e. big endian ones.
    (patch okteta_optional_structures_tool.diff)
  * Set urgency=medium as it fixes a FTBFS, and to avoid blocking the KDE 4.7
    transition too much.

 -- Pino Toscano <pino@debian.org>  Thu, 15 Mar 2012 16:38:14 +0100

kdevelop (4:4.2.3-1) unstable; urgency=low

  [ Andreas Cord-Landwehr ]
  * New upstream release.

  [ Pino Toscano ]
  * Bump the kdevplatform-dev build dependency to 1.2.3.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 12 Dec 2011 21:22:18 +0100

kdevelop (4:4.2.2-1) unstable; urgency=low

  * New upstream release (Closes: #603063):
    - correctly parse CMake FILE command with GLOB or GLOB_RECURSE.
      (Closes: #609674)

  [ Andreas Cord-Landwehr ]
  * Bump build dependency kdevplatform-dev to version 1.2.0
  * Bump build dependency kdebase-workspace-dev to version 4:4.5.0
  * Merged localization files into one package
    - includes: Catalan (ca), Southern Catalan (cavalencia), Danish (da),
      German (de), British English (engb), Spanish (es), Estonian (et),
      French (fr), Italian (it), Norwegian Bookmal (nb),
      Low Saxon (nds), Dutch (nl), Brazilian Portuguese (ptbr),
      Portuguese (pt), Russian (ru), Slovenian (sl), Swedish (sv),
      Thai (th), Ukrainian (uk), Chinese Simplified (zh_CN),
      Chinese Traditional (zh_TW)
    - add Breaks for all kdevelop-l10n-* packages
    - add Replaces for all kdevelop-l10n-* packages
    - change Recommends to kdevplatform-l10n
  * Add build-dependency for okteta-dev.
  * Add myself to Uploaders.

  [ Nicolás Alvarez ]
  * Add debian/watch file to track upstream versions.
  * Add kdevelop-dbg package with KDevelop debugging symbols. (Closes: #593634)

  [ George Kiagiadakis ]
  * Add myself to uploaders.
  * Drop quilt build dependency and build-depend on pkg-kde-tools 0.9.0
    to be able to build without it.
  * Bump build dependency on kdevplatform-dev to version 1.1.0.
  * Change the Vcs-* fields in debian/control to point to git.
  * Disable the french localization package; not shipped in this release.
  * Update installed files.
  * Bump Standards-Version to 3.9.2 (no changes needed).

  [ Pino Toscano ]
  * Modify depends, recommends and suggests for kdevelop:
    - recommend gcc, g++, make. (Closes: #597642)
    - suggest kapptemplate
    - remove lcov, valgrind

  [ Fathi Boudra ]
  * Add libqtwebkit-dev build dependency. (Closes: #618052)

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 02 Jun 2011 11:39:31 +0300

kdevelop (4:4.0.1-1) unstable; urgency=low

  * New upstream release.
  * Add localization packages: Finnish (fi), Dutch (nl), Slovenian (sl) and
    Thai (th).
  * Update debian/control:
    - bump Standards-Version to 3.9.0 (no changes needed).
    - bump kdevplatform-dev and kdebase-workspace-dev build dependency version.
    - add shared-mime-info build dependency.
    - comment turkish localization package, not shipped in this release.
  * Update debian/rules: remove workaround for FindKDE4Internal.cmake default
    rpath value, fixed in kdelibs5-dev 4.4.1.

 -- Fathi Boudra <fabo@debian.org>  Fri, 23 Jul 2010 20:08:00 +0300

kdevelop (4:4.0.0-2) unstable; urgency=low

  * Upload to unstable (Closes: #579947, #481832).
  * Acknowledge obsolete NMU fixes (Closes: #562410, #546961).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 05 May 2010 07:21:55 +0200

kdevelop (4:4.0.0-1) experimental; urgency=low

  * New upstream release (Closes: #579947, #481832).
  * Update debian/control:
    - Bump kdevplatform-dev build dependency version.
  * Acknowledge obsolete NMU fixes (Closes: #562410, #546961).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 04 May 2010 08:12:22 +0200

kdevelop (4:3.10.2-1) experimental; urgency=low

  * New upstream release.
  * Add localizations packages.

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 Apr 2010 13:43:11 +0300

kdevelop (4:3.10.0-1) experimental; urgency=low

  * New upstream release.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/copyright: update authors list.
  * Add debian/kdevelop.lintian-overrides: override postinst/postrm errors.

 -- Fathi Boudra <fabo@debian.org>  Sun, 04 Apr 2010 11:45:29 +0200

kdevelop (4:3.9.99-1) experimental; urgency=low

  * New upstream release.
  * Update debian/control:
    - Suggests cmake package. (Closes: #561507)
    - Bump kdevplatform-dev build dependency version.

 -- Fathi Boudra <fabo@debian.org>  Thu, 18 Feb 2010 09:43:49 +0100

kdevelop (4:3.9.98-1) experimental; urgency=low

  * New upstream release.

  [ Fathi Boudra ]
  * Remove 10_private_libs_soversion.diff patch.
  * Update debian/control:
    - Bump build dependencies versions (debhelper, pkg-kde-tools and
      kdevplatform-dev).
    - Bump Standards-Version to 3.8.4 (no changes needed).
  * Update debian/kdevelop-dev.install file.
  * Update debian/kdevelop.install file.
  * Add debian/kdevelop.lintian-overrides file.
  * Update debian/rules: pass -DCMAKE_SKIP_RPATH=ON
    to workaround FindKDE4Internal.cmake default rpath value.

  [ Modestas Vainius ]
  * Fix Vcs-Browser URL.

 -- Fathi Boudra <fabo@debian.org>  Thu, 11 Feb 2010 16:48:26 +0100

kdevelop (4:3.9.97-1) experimental; urgency=low

  * New upstream release.
  * Drop 01_kdevelop_r1044086.diff and 02_kdevelop_r1044721.diff patches.
  * Update debian/kdevelop-data.install: remove valgrind plugin.

 -- Fathi Boudra <fabo@debian.org>  Sat, 12 Dec 2009 20:47:28 +0100

kdevelop (4:3.9.96-1) experimental; urgency=low

  * New upstream release.
  * Add 01_kdevelop_r1044086.diff and 02_kdevelop_r1044721.diff patches.
  * Remove kdevelop version fix.
  * Update debian/kdevelop-data.install: re-add usr/share/icons/* entry and
    update installed files.

 -- Fathi Boudra <fabo@debian.org>  Thu, 12 Nov 2009 16:34:51 +0100

kdevelop (4:3.9.95-2) experimental; urgency=low

  * Add patch to fix kdevelop version.

 -- Fathi Boudra <fabo@debian.org>  Mon, 24 Aug 2009 09:24:47 +0200

kdevelop (4:3.9.95-1) experimental; urgency=low

  * New upstream release (beta 5).
  * Update debian/kdevelop-data.install: remove usr/share/icons/* entry.
  * Bump Standards-Version to 3.8.3 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Fri, 21 Aug 2009 11:31:57 +0200

kdevelop (4:3.9.94+svn1010123-1) experimental; urgency=low

  * New snapshot from svn revision 1010123.

  +++ Changes by Frederik Schwarzer:

  * Fix typos and casing in packages descriptions.

 -- Fathi Boudra <fabo@debian.org>  Tue, 11 Aug 2009 15:57:35 +0200

kdevelop (4:3.9.94-1) experimental; urgency=low

  * New upstream release.
  * Add Recommends on:
    - gdb >= 6.8.50. It is the minimal requirement.
    - valgrind
  * Bump Standards-Version to 3.8.2 (no changes needed).

 -- Fathi Boudra <fabo@debian.org>  Tue, 02 Jun 2009 21:43:19 +0200

kdevelop (4:3.9.93-1) experimental; urgency=low

  * New upstream release.
  * Add kdebase-workspace-dev build dependency.
    It's needed for ksysguard widget.
  * Bump kdevplatform build dependency from 0.9.92 to 0.9.93.
  * Refresh 10_private_libs_soversion.diff patch:
    qmake project manager is removed upstream.
  * Update debian/kdevelop-data.install:
    qmake builder and qtdesigner are removed upstream.

 -- Fathi Boudra <fabo@debian.org>  Sun, 24 May 2009 13:14:49 +0200

kdevelop (4:3.9.92-1) experimental; urgency=low

  * Initial upload of kdevelop 4 to experimental (Closes: #481832).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 27 Apr 2009 08:18:04 +0200

kdevelop (4:3.5.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patches included upstream:
    + 02_fix_build_output_view.diff
  * Remove obsolete Conflicts / Replaces on kdevelop3-*.
  * Update to Standards-Version 3.8.0 (no changes).
  * Revert automake (>= 1:1.10) to automake1.9.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 12 Jun 2008 21:43:25 +0200

kdevelop (4:3.5.1-1) unstable; urgency=low

  * New upstream release.
  * Remove patches included upstream:
    + 02_fix_desktop_entries.diff
    + 03_fix_user_interface_lag.diff
    + 04_fix_click_on_error.diff
  * Add patch for lines disappearing from build output view.
  * Fix watch file (Closes: #462822).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 03 Apr 2008 09:38:42 +0200

kdevelop (4:3.5.0-3) unstable; urgency=low

  * Replace Build-Depends on libdb4.4-dev by libdb-dev (Closes: #461193).
  * Apply patch for jumping to code from error messages (Closes: #331659).
  * Move homepage from description to Homepage field.
  * Update Standards-Version to 3.7.3.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 17 Jan 2008 11:17:41 +0100

kdevelop (4:3.5.0-2) unstable; urgency=low

  * Apply patch for user interface lag on large projects.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 28 Oct 2007 22:46:07 +0100

kdevelop (4:3.5.0-1) unstable; urgency=low

  * New upstream release.
  * Replace Build-Depends on automake1.9 by automake (>= 1:1.10)
  * Remove patches included upstream:
    + 09_fix_gdb_focus.diff
  * Update menu entry to use the Applications section

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 17 Oct 2007 08:01:52 +0200

kdevelop (4:3.4.1-3) unstable; urgency=low

  * Make kdevelop binNMU safe using Michael Biebl's patch (Closes: #431360).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Jul 2007 07:12:32 +0200

kdevelop (4:3.4.1-2) unstable; urgency=low

  * Apply patch to prevent integrated debugger losing focus (Closes: #427949).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 28 Jun 2007 20:24:01 +0200

kdevelop (4:3.4.1-1) unstable; urgency=low

  * New upstream release.
  * Update ltmain.sh in application templates (Closes: #351358).
  * Suggest kdebase-kio-plugins to view documentation (Closes: #412108).
  * Add Build-Depends on libsvn-dev to build KDevelop's SVN ioslave,
    drop Suggests on kdesdk-kio-plugins | kdesvn-kio-plugins.
  * Replace Build-Depends on libdb4.3 by libdb4.4.
  * Remove patches applied upstream:
    + 01_kofficepart_template.diff
    + 04_cppcurses_template.diff
    + 06_kicker_template.diff
    + 07_qmake_parser.diff
    + 08_fix_gcc43_ftbfs.diff
  * Add new docs files to kdevelop-doc.install.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 06 Jun 2007 09:59:46 +0200

kdevelop (4:3.4.0-3) unstable; urgency=low

  * Apply patch from Martin Michlmayr for GCC 4.3 FTBFS (Closes: #417343).
  * Add note about Persistent Class Store in README.Debian (Closes: #409364).

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 02 Apr 2007 14:41:41 +0200

kdevelop (4:3.4.0-2) unstable; urgency=low

  * Rework Suggests and Recommends:
    + Move Suggests on kdbg, a2ps, enscript and gv.
    + Add Suggests on cmake, ruby and python.
    + Make gdb (>= 6.4) a Recommends.
  * Fix kicker application template (Closes: #235867).
  * Fix qmake manager parser bug introduced in 3.4.0.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun, 11 Feb 2007 09:02:59 +0100

kdevelop (4:3.4.0-1) unstable; urgency=low

  * New upstream release.
    + Reformat code works after creating a new project (Closes: #330028).
    + Launching debug rebuilds the project (Closes: #375109).
    + Update application templates (Closes: #396986, #353415).
    + Fix crashes with Subversion plugin (Closes: #354158).
    + Improved breakpoints (Closes: #399870, #361860).
    + Toolbar settings are saved/restored (Closes: #246893).
  * Exclude *.cdbs-orig files from application templates.
  * Compile without --enable-final otherwise the build fails.
  * Remove patches included upstream:
    + 02_pcsimporter_plugins_path.diff
    + 03_buildtools_plugins_path.diff
  * Suggest konsole (Closes: #408628).
  * Silence some lintian warnings.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 29 Jan 2007 09:27:16 +0100

kdevelop (4:3.3.5-1) unstable; urgency=low

  * New upstream release.
    + Contains up-to-date KDE admin dir in application templates.
  * Remove patches included upstream:
    + 05_support_autoconf26.diff
    + 06_xim_crash_caused_by_qt.diff
    + 07_documentation_plugins_path.diff
  * Fix not-binnmuable-any-depends-all kdevelop -> kdevelop-data.

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 24 Oct 2006 11:59:24 +0200

kdevelop (4:3.3.4-3) unstable; urgency=low

  * Add Build-depends on groff-base for manpage generation

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 28 Aug 2006 11:48:49 +0200

kdevelop (4:3.3.4-2) unstable; urgency=low

  * Remove reference to kdevelop3 in README.Debian
  * Add manpages for all binaries (Closes: #215250)
  * Do not install /usr/bin/r++, it is useless and unusable
  * Remove ${misc:Depends} from kdevelop's Depends, debconf is no longer used
  * Update versioned Build-Depends on libcvsservice-dev to >= 3.5.4
  * Remove unnecessary Build-Depends on po-debconf
  * Add debian/patches/common to update admin/* (Closes: #345121)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 28 Aug 2006 10:06:25 +0200

kdevelop (4:3.3.4-1) unstable; urgency=low

  * New upstream release
  * Suggest khelpcenter (Closes: #273664)
  * Clean up kdevelop-doc dependencies
  * No longer remove X-KDE-KDevelopIDE from *.desktop files
  * Fix C++ curses template project (Closes: #378336)
  * Add support for autoconf 2.6 in KDE templates (Closes: #378762)
  * Fix "Qt XIM bug that breaks kdevelop" (Closes: #369291)
  * Fix documentation plugins installation directory (Closes: #353421, #235126)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 21 Aug 2006 08:59:03 +0200

kdevelop (4:3.3.2-5) unstable; urgency=low

  * Remove circular dependencies (Closes: #368474)
  * Merge kdevelop-plugins into kdevelop
  * Add Recommends on libtool (Closes: #284694)
  * Update to standards version 3.7.2
  * Update versioned Build-Depends on debhelper to >= 5
  * Add debian/watch file
  * Relax versioned Build-Depends on libcvsservice0-dev

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 23 May 2006 18:39:42 +0200

kdevelop (4:3.3.2-4) unstable; urgency=low

  * Rename kdevelop3 to kdevelop (Closes: #312705, #322422)
  * Drop htdig cron job and debconf questions (Closes: #296867, #258382,
    #168113, #316252)
  * Fix typo in kdevelop-data description (Closes: #364139)
  * Fix debian/copyright
  * Move misplaced plugins from /usr/lib to /usr/lib/kde3
  * Update to standards version 3.7.0
  * Add icon in XPM format for kdevelop

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu,  4 May 2006 12:06:12 +0200

kdevelop3 (4:3.3.2-1) unstable; urgency=low

  * New upstream release
  * Add Italian debconf translations (Closes: #358163, #349345)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun,  2 Apr 2006 16:05:18 +0200

kdevelop3 (4:3.3.1-1) unstable; urgency=low

  * New upstream release
  - fix code completion for external libraries (Closes: #355444, #351290)
  * Build-Depends on automake1.9, not automaken
  * Fix KOffice part C++ template (Closes: #345279)
  * Suppress debugging output (Closes: #349878)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed,  8 Mar 2006 23:39:40 +0100

kdevelop3 (4:3.3.0-2) unstable; urgency=low

  * Add Suggests on exuberant-ctags (Closes: #178793)
  * Make kdevelop3-dev architecture 'any' due to .la files
  * Move some .la files back to kdevelop3, these are for plugins

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 17 Jan 2006 08:11:19 +0100

kdevelop3 (4:3.3.0-1) unstable; urgency=low

  * New upstream release, build against KDE 3.5 (Closes: #347862)
  * Add Jeremy Lainé to maintainers, acknowledge NMU fixes (Closes: #274966,
    #295659, #302133, #304203, #304419, #306485, #309351, #311153, #312160,
    #312161, #315170, #326883, #326929, #327710, #327730, #330037, #330038,
    #331346, #336094, #341990)
  * Switch to Debian Qt/KDE team's CDBS scripts
  * Update Suggests and README.Debian regarding SVN integration
  * Remove explicit Build-Depends on g++-3.4 (Closes: #342991)
  * Remove patches/qmake_new_class_fix.diff, included upstream
  * Move development .la and .so files to kdevelop3-dev (Closes: #327904)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Fri, 13 Jan 2006 20:00:05 +0100

kdevelop3 (4:3.2.2-0.7) unstable; urgency=low

  * Non-maintainer upload
  * Remove obsolete Build-Depends on libdb4.1-dev, add libdb4.3-dev
  * Update versioned Build-Depends on libcvsservice-dev
  * Fix crash when disabling plugins (Closes: #306485)
  * Fix cron.weekly when package is removed but not purged (Closes: #302133)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Wed, 21 Dec 2005 22:00:59 +0100

kdevelop3 (4:3.2.2-0.6) unstable; urgency=low

  * Non-maintainer upload
  * Rebuild against kdelibs4c2a (Closes: #341990)
  * Add a note about SVN integration in README.Debian (Closes: #295659)
  * Remove obsolete Build-Depends on libdb4.0-dev
  * Fix KDevelop documentation browsing (correct DocPath in *.desktop)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Sun,  4 Dec 2005 17:24:35 +0100

kdevelop3 (4:3.2.2-0.5) unstable; urgency=low

  * Non-maintainer upload
  * Make sure kdevelop3 and kdevelop3-plugins have the same version
    (Closes: #336094)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 27 Oct 2005 18:47:30 +0200

kdevelop3 (4:3.2.2-0.4) unstable; urgency=low

  * Non-maintainer upload
  * Remove hardcoded Depends on debconf, let dh_installdebconf
    handle it by using ${misc:Depends} (Closes: #327730)
  * Add Swedish debconf translation (Closes: #331346)
  * Remove obsolete Build-Depends on libsvn0-dev
  * Switch to Python 2.4

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Tue, 18 Oct 2005 14:43:03 +0200

kdevelop3 (4:3.2.2-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * work around gcc-4.0 FTBFS on some architectures

 -- LaMont Jones <lamont@debian.org>  Fri, 14 Oct 2005 19:28:31 +0000

kdevelop3 (4:3.2.2-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Fix kdevdesigner crash on start (Closes: #309351)
  * Fix kdevassistant crash on start (Closes: #274966)
  * Fix file permissions of Python/Qt examples (Closes: #330037, #330038)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Thu, 15 Sep 2005 08:37:32 +0200

kdevelop3 (4:3.2.2-0.1) unstable; urgency=low

  * Non-maintainer upload
  * New upstream release (Closes: #326883)
  * Build against new Qt / KDE libraries (Closes: #326929)
  * Fix lintian warnings:
   - Update to Standards-Version 3.6.2
   - Replace possible bashism "-a" by "&&" in debian/config
  * Add Suggests on kdesdk-misc to provide kio_svn files
  * Translation fixes:
   - Fix debian/templates.master, run debconf-updatepo (Closes: #312161)
   - Add Vietnamese debconf translation (Closes: #312160)
   - Update Brazilian translation (Closes: #304419)
  * Fix adding new classes to qmake projects (Closes: #315170)
  * Remove X-KDE-KDevelopIDE category from .desktop entries
  * Add --disable-rpath to configure flags (Closes: #327710)
  * Fix debian/menu , package is 'kdevelop3' not 'kdevelop' (Closes: #311153)
  * Fix some references to 'kdevelop' in .desktop files (Closes: #304203)
  * Add missing Depends on debconf (Closes: #327730)

 -- Jeremy Lainé <jeremy.laine@m4x.org>  Mon, 12 Sep 2005 23:15:38 +0200

kdevelop3 (4:3.2.0-3) unstable; urgency=low

  * Fixed up the creation and removal of the symlinks for kio_svn
    files (Closes: #310684)

 -- Norman Jordan <njordan@debian.org>  Wed, 25 May 2005 10:18:35 -0700

kdevelop3 (4:3.2.0-2) unstable; urgency=medium

  * Added the debconf translations back (Closes: #305276)
  * Removed kpaint from the suggests field for kdevelop3
    (Closes: #308198)
  * Fixed icon path (Closes: #299522)
  * Added pt_BR debconf translation (Closes: #304419)
  * Moved the kio_svn files out of the way. Symlinks are created for
    them if they are not already there. (Closes: #309379)

 -- Norman Jordan <njordan@debian.org>  Mon,  23 May 2005 03:52:16 -0700

kdevelop3 (4:3.2.0-1) unstable; urgency=low

  * New upstream release

 -- Norman Jordan <njordan@debian.org>  Mon,  4 Apr 2005 10:25:06 -0700

kdevelop3 (4:3.2.0-0-BS1) unstable; urgency=low

  * updated to released version

 -- Bernd Schubert <bernd.schubert@pci.uni-heidelberg.de>  Thu, 17 Mar 2005 00:49:05 +0100

kdevelop3 (4:3.1.2-3.2.0-rc1-cvs050306-2) unstable; urgency=low

  * reverted the Makefile changes, modified the sourcecode instead

 -- Bernd Schubert <bernd.schubert@pci.uni-heidelberg.de>  Wed,  9 Mar 2005 15:18:37 +0100

kdevelop3 (4:3.1.2-3.2.0-rc1-cvs050306-1) unstable; urgency=low

  * current cvs version
  * not an offical debian version, so changed the maintainer
  * had to replace the profilesdatadir in the Makefiles*

 -- Bernd Schubert <bernd.schubert@pci.uni-heidelberg.de>  Wed,  9 Mar 2005 13:29:30 +0100

kdevelop3 (4:3.1.2-4) unstable; urgency=low

  * Fixed up the problem with linking a shared library with a static
    one (Closes: #296511)
  * Now the VIM editor part can no longer be loaded (Closes: #286884, #291814)

 -- Norman Jordan <njordan@debian.org>  Thu,  9 Mar 2005 10:55:27 -0800

kdevelop3 (4:3.1.2-3) unstable; urgency=low

  * KDevelop 2.x is not yet phased out.
  * Upload to get the latest upstream version into Debian

 -- Norman Jordan <njordan@debian.org>  Tue, 19 Feb 2005 14:34:21 -0800

kdevelop (4:3.1.2-2) unstable; urgency=low

  * Added the Czech Debconf translation (Closes: #289456)
  * Fix building on amd64 (Closes: #287096)

 -- Norman Jordan <njordan@debian.org>  Wed, 26 Jan 2005 09:05:00 -0800

kdevelop (4:3.1.2-1) unstable; urgency=low

  * New upstream release
  * KDevelop 2.x is now phased out, the kdevelop packages now contain
    KDevelop 3.x
  * Added libsvn0-dev to the build dependencies (Closes: #285873)
  * Fixed the search path for the images (Closes: #236111)
  * Added a versioned dependency to libcvsservice-dev 3.3.0
    (Closes: #284626)

 -- Norman Jordan <njordan@debian.org>  Tue, 28 Dec 2004 01:22:23 -0800

kdevelop3 (4:3.1.1-2) unstable; urgency=medium

  * Changed the icon entry in kdevelop3.desktop to refer to the
    kdevelop3 icon (Closes: #239028)
  * Now symbolic links are created that are named kdevelop3.mo and
    point to the kdevelop.mo files from the kde-i18n-* packages
    (Closes: #280794, #257076, #251475)

 -- Norman Jordan <njordan@debian.org>  Sun, 14 Nov 2004 02:27:16 -0800

kdevelop3 (4:3.1.1-1) unstable; urgency=low

  * New upstream release
  * Modified debconf phrase to use a question mark (Closes: #274019)
  * Changed the directory that is searched for the license headers
    (Closes: #279255)

 -- Norman Jordan <njordan@debian.org>  Tue,  9 Nov 2004 23:01:42 -0800

kdevelop3 (4:3.1.0-4) unstable; urgency=low

  * Changed the configure options that are used. Now all languages,
    and project types are enabled.

 -- Norman Jordan <njordan@debian.org>  Wed,  6 Oct 2004 02:22:34 -0700

kdevelop3 (4:3.1.0-3) unstable; urgency=low

  * Modified vcs/cvsservice/cvspartimpl.cpp to support the version of
    libcvsservice currently in Debian
  * Added libcvsservice-dev to the build-dependencies (Closes: #273681)
  * Added the German debconf translation (Closes: #273998)

 -- Norman Jordan <njordan@debian.org>  Mon, 29 Sep 2004 20:50:39 -0700

kdevelop3 (4:3.1.0-2) unstable; urgency=low

  * Added qt3-apps-dev to the build-dependencies (Closes: #273534)

 -- Norman Jordan <njordan@debian.org>  Sun, 26 Sep 2004 18:07:38 -0700

kdevelop3 (4:3.1.0-1) unstable; urgency=low

  * New upstream release
  * Added the Japanese Debconf translation (Closes: #255057)
  * Added ctags to the recommends field of the kdevelop3 package
    (Closes: #265742)
  * Changed the local copy of BDB to compile with the -fPIC flag. Required
    for compiling on AMD64.

 -- Norman Jordan <njordan@debian.org>  Sat, 25 Sep 2004 11:21:57 -0700

kdevelop3 (4:3.0.4-2) unstable; urgency=low

  * Now the kdevelop3 package depends on automaken, rather than listing each
    version of automake, same for the build-dependencies
  * Added a diversion for the file
    /usr/share/icons/hicolor/22x22/actions/save_all.png
    (Closes: #258383)
  * Now libdb4.2-dev can satisfy the libdb*-dev build-dependency
  * Updated the French translation (Closes: #255414)

 -- Norman Jordan <njordan@debian.org>  Sun, 11 Jul 2004 23:07:36 -0700

kdevelop3 (4:3.0.4-1) unstable; urgency=low

  * New upstream release
  * Rewrote the kdevelop3 postinst script in Perl
  * Now the global documentation index is generated in the background
    (Closes: #247123)
  * Updated the menu file (Closes: #254651)

 -- Norman Jordan <njordan@debian.org>  Wed, 16 Jun 2004 12:55:21 -0700

kdevelop3 (4:3.0.3-2) unstable; urgency=low

  * Updated the depends field for kdevelop3 to accept automake1.8 as the
    automake package to use (Closes: #249624)
  * Added libtool to the recommends field for kdevelop3 (Closes: #250597)

 -- Norman Jordan <njordan@debian.org>  Wed,  2 Jun 2004 00:10:17 -0700

kdevelop3 (4:3.0.3-1) unstable; urgency=low

  * New upstream release
  * Removed the /usr/lib/lib*.la files from the kdevelop3-dev package
    (Closes: #243981)

 -- Norman Jordan <njordan@debian.org>  Thu, 22 Apr 2004 12:52:06 -0700

kdevelop3 (4:3.0.2-2) unstable; urgency=low

  * Moved the *.la files from kdevelop3-dev to kdevelop3 (Closes: #234824)
  * Added the Dutch translation provided by Frans Pop <aragorn@tiscali.nl>
    (Closes: #237817)

 -- Norman Jordan <njordan@debian.org>  Wed, 17 Mar 2004 19:22:00 -0800

kdevelop3 (4:3.0.2-1) unstable; urgency=low

  * New upstream release
  * Added a French debconf translation provided by Eric <eric-m@wanadoo.fr>
    (Closes: #236299)

 -- Norman Jordan <njordan@debian.org>  Wed, 10 Mar 2004 01:49:46 -0800

kdevelop3 (4:3.0.1-2) unstable; urgency=low

  * Now the update_doc_index.sh script and the config script will only accept
    the installed version of ht://Dig if it is version 3.2.x (Closes: #234753)
  * Updated the configure options so that the Qt documentation is detected
  * Cleaned up the dependencies and suggests fields for all of the packages
    (Closes: #235105)
  * Fixed the debconf templates using the patch from Denis Barbier
    (Closes: #234825)
  * Changed the description for the kdevelop3-dev package to make it clear
    that this package is only needed for writing KDevelop plugins
    (Closes: #235248)

 -- Norman Jordan <njordan@debian.org>  Sun, 29 Feb 2004 23:40:45 -0800

kdevelop3 (4:3.0.1-1) unstable; urgency=low

  * New upstream release
  * Updated the configure options
  # The cron job no longer uses debconf

 -- Norman Jordan <njordan@debian.org>  Fri, 20 Feb 2004 21:48:35 -0800

kdevelop3 (4:3.0.0-1) unstable; urgency=low

  * Updated to the 3.0.0 release
  * Update debian/update_doc_index.sh
    - Updated to work with the htdig 3.2.x packages
  * Fixed the documentation search dialog
  * Updated the htdig suggestion to htdig 3.2
  * Added a debconf question to see if the global documentation index should
    be created

 -- Norman Jordan <njordan@debian.org>  Sun,  15 Feb 2004 19:26:18 -0800

kdevelop3 (4:3.0-00cvs-20031106) unstable; urgency=low

  * Updated CVS sources
  * Update debian/update_doc_index.sh
    - Will not try to compare package versions for documentation packages that
      are not installed

 -- Norman Jordan <njordan@debian.org>  Thu,  6 Nov 2003 22:40:19 -0800

kdevelop3 (4:3.0-00cvs20031021) unstable; urgency=low

  * Updated CVS sources
  * Added the 'noopt' option to use the --enable-debug=full to configure
    option. Patch supplied by Chris Halls.

 -- Norman Jordan <njordan@debian.org>  Tue, 21 Oct 2003 13:51:34 -0700

kdevelop3 (4:3.0-00cvs20031013) unstable; urgency=low

  * Updated CVS sources
  * Change the package names again to kdevelop3*
    - Now KDevelop 3 and KDevelop 2 can be installed at the same time

 -- Norman Jordan <njordan@debian.org>  Mon, 13 Oct 2003 23:05:06 -0700

kdevelop (4:2.999-0cvs20031006) unstable; urgency=low

  * Updated CVS sources
  * Changed the packages to kdevelop* rather than gideon*
  * The packages now conflict with the gideon packages
  * The kdevelop package now contains all lib*.so.* and lib*.so files in
    /usr/lib
  * The kdevelop-dev package now contains all lib*.la files in /usr/lib

 -- Norman Jordan <njordan@debian.org>  Mon,  6 Oct 2003 13:03:35 -0700

gideon (1:2.999-0cvs20030928) unstable; urgency=low

  * Updated CVS sources
  * Updated the gideon-doc package to include the gideon HTML documentation
  * Removed the x-pascal.desktop file from gideon-data

 -- Norman Jordan <njordan@debian.org>  Sun, 28 Sep 2003 15:27:30 -0700

gideon (1:2.999-0cvs20030918) unstable; urgency=low

  * Updated CVS sources
  * Added the libraries without a package to the gideon package

 -- Norman Jordan <njordan@debian.org>  Thu, 18 Sep 2003 03:47:53 -0700

gideon (1:2.999-0cvs20030909) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Tue,  9 Sep 2003 23:56:47 -0700

gideon (1:2.999-0cvs20030905) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Thu,  5 Sep 2003 18:36:53 -0700

gideon (1:2.999-0cvs20030820) unstable; urgency=low

  * Updated CVS sources
  * Updated the build-depends and suggests fields
    - Removed obsolete packages

 -- Norman Jordan <njordan@debian.org>  Wed, 20 Aug 2003 16:15:24 -0700

gideon (1:2.999-0cvs20030815) unstable; urgency=low

  * Updated CVS sources
  * Added some extra arguments for when configure is run
    + Enabled all of the language support options
  * Added python2.2-dev / python2.3-dev to the build depends

 -- Norman Jordan <njordan@debian.org>  Tue, 15 Aug 2003 03:18:32 -0700

gideon (1:2.999-0cvs20030802) unstable; urgency=low

  * Updated CVS sources
  * Built against KDE 3.1.3
  * Fixed to compile with GCC 3.3

 -- Norman Jordan <njordan@debian.org>  Sat,  2 Aug 2003 05:03:12 -0700

gideon (1:2.999-0cvs20030719) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Sat, 19 Jul 2003 14:14:26 -0700

gideon (1:2.999-0cvs20030716) unstable; urgency=low

  * Updated the Debian menu entry to use the name KDevelop 3.0
  * Added the Gideon icon to the Debian menu entry
  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Wed, 16 Jul 2003 21:04:24 -0700

gideon (1:2.999-0cvs20030706) unstable; urgency=low

  * Updated CVS sources
  * Added the URL for KDevelop to the package descriptions

 -- Norman Jordan <njordan@debian.org>  Sun,  6 Jul 2003 23:51:16 -0700

gideon (1:2.999-0cvs20030702) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Wed,  2 Jul 2003 03:41:49 -0700

gideon (1:2.999-0cvs20030621) unstable; urgency=low

  * Updated CVS sources
  * The package gideon-plugins had two dependencies on the package gideon,
    removed one of them.
  * Now gideon's postinst and postrm scripts will call update-menus and
    ldconfig

 -- Norman Jordan <njordan@debian.org>  Sat, 21 Jun 2003 00:20:29 -0700

gideon (1:2.999-0cvs20030612) unstable; urgency=low

  * Updated CVS sources
  * Added the wxwin2.4 packages to the suggests field

 -- Norman Jordan <njordan@debian.org>  Thu, 12 Jun 2003 22:19:20 -0700

gideon (1:2.999-0cvs20030609) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Mon,  9 Jun 2003 11:27:20 -0700

gideon (1:2.999-0cvs20030604) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Wed,  4 Jun 2003 21:19:16 -0700

gideon (1:2.999-0cvs20030530) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Fri, 30 May 2003 11:53:23 -0700

gideon (1:2.999-0cvs20030526) unstable; urgency=low

  * Updated CVS sources
  * Cleaned up debian/rules

 -- Norman Jordan <njordan@debian.org>  Mon, 26 May 2003 11:20:05 -0700

gideon (1:2.999-0cvs20030518) unstable; urgency=low

  * Updated CVS sources
  * Fixed up debian/rules to work with the new admin/debianrules file

 -- Norman Jordan <njordan@debian.org>  Sun, 18 May 2003 13:31:34 -0700

gideon (1:2.999-0cvs20030514) unstable; urgency=low

  * Updated CVS sources
  * Added the prefix to debian/rules and debian/buld-gideon
  * Added stl-manual to the suggests field for gideon-doc
  * Fixed up the path to the kdevelop manual

 -- Norman Jordan <njordan@debian.org>  Wed, 14 May 2003 02:47:32 -0700

gideon (1:2.999-0cvs20030511) unstable; urgency=low

  * Updated CVS sources
  * Added the documentation files to the gideon-doc package
  * Added the antlr header files to the gideon-dev package

 -- Norman Jordan <njordan@debian.org>  Sun, 11 May 2003 17:43:27 -0700

gideon (1:2.999-0cvs20030507) unstable; urgency=low

  * Updated CVS sources
  * Fixed up the configure options for the file "debian/build-gideon"
  * Moved the script update_doc_index.sh to /usr/share/gideon

 -- Norman Jordan <njordan@debian.org>  Wed,  7 May 2003 11:42:59 -0700

gideon (1:2.999-0cvs20030502) unstable; urgency=low

  * Updated CVS sources
  * Added automake1.7 to the build depends and gideon depends fields
  * Fixed up the update_doc_index.sh script

 -- Norman Jordan <njordan@debian.org>  Fri,  2 May 2003 09:28:26 -0700

gideon (1:2.999-0cvs20030430) unstable; urgency=low

  * Updated CVS sources

 -- Norman Jordan <njordan@debian.org>  Wed, 30 Apr 2003 22:37:07 -0700

gideon (1:2.999-0cvs20030429) unstable; urgency=low

  * Created a new package gideon-plugins
  * Fixed up the build dependencies
  * Corrected path to htsearch
  * Corrected configure options in admin/debianrules
  * Now creates a global documentation index on installation
  * Added a weekly cron job to update the global documentation index
  * Modified to support a global documentation index if there is one
  * Added support for building with java support (off by default)

 -- Norman Jordan <njordan@debian.org>  Tue, 29 Apr 2003 17:42:39 -0700

gideon (1:2.999+cvs20030301-0woody1) unstable; urgency=low

  * Woody rebuild on KDE_3_1_BRANCH

 -- Ralf Nolden (KDE) <nolden@kde.org>  Sat,  1 Mar 2003 15:37:10 +0100

gideon (1:2.999-1) unstable; urgency=low

  * Fixed for KDE3.

 -- Stefan Schimanski <schimmi@kde.org>  Mon, 24 Sep 2002 00:08:15 +0200

gideon (1:3.0-3) unstable; urgency=low

  * Removed java support as jadhar@debian.org suggests.

 -- Eray Ozkural (exa) <erayo@cs.bilkent.edu.tr>  Fri, 30 Nov 2001 00:08:15 +0200

gideon (1:3.0-2) unstable; urgency=low

  * updated configure args
  * configured multiple debian doc packages for gideon doc browser
  * everything except scripting support turned on.

 -- Eray Ozkural (exa) <erayo@cs.bilkent.edu.tr>  Wed, 21 Nov 2001 01:46:34 +0200

gideon (1:3.0-1) unstable; urgency=low

  * Initial release of development version
  * Added gideon-doc.files and gideon-doc.links
  * Suggest stl-manual and symlink to it

 -- Eray Ozkural (exa) <erayo@cs.bilkent.edu.tr>  Mon, 30 Jul 2001 18:52:20 +0300

kdevelop (1:2.0b1-2) unstable; urgency=low

  * Renamed debian doc-base entries to standard ones.

 -- Christian Couder <chcouder@club-internet.fr>  Mon, 23 Jul 2001 22:58:54 +0100

kdevelop (1:2.0b1-1) unstable; urgency=low

  * New release
  * don't compress tip database
  * small fix to find kdelibs docs in setup wizard
  * split into binary, doc and data packages
  * added graphviz to suggests

 -- Eray Ozkural (exa) <erayo@cs.bilkent.edu.tr>  Mon, 23 Jul 2001 20:18:09 +0300

kdevelop (1:1.4.0-3.4) unstable; urgency=low

  * Updated the build-depends field

 -- Norman Jordan <njordan@debian.org>  Sun, 13 May 2001 22:17:08 -0700

kdevelop (1:1.4.0-3.3) unstable; urgency=low

  * Suggests sgmltools-lite instead of sgmltools (Closes: #96274)

 -- Norman Jordan <njordan@debian.org>  Sun, 13 May 2001 13:09:12 -0700

kdevelop (1:1.4.0-3.2) unstable; urgency=low

  * Change Maintainer (Closes: #90814)
  * No longer installs extractrc (Closes: #93012)
  * Suggests kdesdk-scripts

 -- Norman Jordan <njordan@debian.org>  Thu,  5 Apr 2001 11:03:57 -0700

kdevelop (1:1.4.0-3.1) unstable; urgency=low

  * NMU
  * Fixing build-depends (Closes: #92190)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 30 Mar 2001 21:22:00 -0700

kdevelop (1:1.4.0-3) unstable; urgency=low

  * Change Maintainer
  * More upstream fixes while I'm at it

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 23 Mar 2001 03:00:00 -0700

kdevelop (1:1.4.0-2) unstable; urgency=low

  * Removed non en docs as they are provided in kde-i18n now

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 04 Mar 2001 20:00:00 -0700

kdevelop (1:1.4.0-1) unstable; urgency=low

  * Cleaned up source based off of current CVS branch
  * Fix desktop file (Closes: #87802)
  * Update Build-Depends
  * If you install qt-doc and not qt2.2-doc this works (Closes: #88185)

 -- Ivan E. Moore II <rkrusty@debian.org>  Fri, 02 Mar 2001 07:00:00 -0700

kdevelop (1:1.4-final-1) unstable; urgency=low

  * New upstream release
  * Fix kde-i18n conflicts (Closes: #87381)

 -- Ivan E. Moore II <rkrusty@debian.org>  Mon, 19 Feb 2001 02:06:00 -0700

kdevelop (1:1.4-20010218-1) unstable; urgency=low

  * New upstream cvs pull
  * New upload to Debian with permission of Raphael Bossek who did the ITP
  * Updating for potato/woody/sid

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 18 Feb 2001 02:06:00 -0700

kdevelop (1:1.4-20010127-1) unstable; urgency=low

  * New upstream release
  * Updating for potato/woody/sid

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 27 Jan 2001 05:06:00 -0700

kdevelop (1:1.1final-20000228-1) stable; urgency=low

  * New upstream release
  * Recommend kdelibs-doc
  * Don't include Makefiles

 -- Bernd Gehrmann <bernd@users.sourceforge.net>  Sun, 27 Feb 2000 12:00:00 +0100

kdevelop (1:1.1beta2-20000206-1) stable; urgency=low

  * Back to old configure arguments
  * Mentioned debugger in control file,
    made kdebase a dependency

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Mon,  7 Feb 2000 00:10:59 +0100

kdevelop (1:1.1beta2-20000131-1) stable; urgency=low

  * New upstream version: 1.1beta2
  * Use --prefix in configure, set kde_confdir, kde_htmldir explicitly
    because of new autoconf framework

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Mon, 31 Jan 2000 21:15:04 +0100

kdevelop (1:1.0-19991206-1) stable; urgency=low

  * New upstream version: 1.0

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Mon,  6 Dec 1999 20:21:54 +0100

kdevelop (1:1.0beta4.1-19991030-1) unstable; urgency=low

  * New upstream changes
  * Disabled debug - is stripped anyway

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Sat, 30 Oct 1999 09:02:41 +0200

kdevelop (1:0.4-19990728-1) unstable; urgency=low

  * Added further manuals to doc-base

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Wed, 28 Jul 1999 23:29:03 +0200

kdevelop (1:0.4-19990716-1) unstable; urgency=low

  * Call ldconfig in postinst
  * configure with flag --enable-kdoc2

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Fri, 16 Jul 1999 20:47:55 +0200

kdevelop (1:0.4-19990705-1) unstable; urgency=low

  * configure with flag --enable-docbase
  * install kdlgloader into the correct directories

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Mon,  5 Jul 1999 12:21:59 +0200

kdevelop (1:0.4-19990619-1) unstable; urgency=low

  * Fixed a competing problem between kderules and dh_installdocs
  * New upstream changes

 -- Ivan E. Moore II <rkrusty@debian.org>  Sat, 19 Jun 1999 02:03:38 -0400

kdevelop (1:0.4-19990614-1) unstable; urgency=low

  * Aiiiiiiiiiie!! Fixed the broken kderules file

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Mon, 14 Jun 1999 20:45:38 +0200

kdevelop (1:0.4-19990613-1) unstable; urgency=low

  * New upstream CVS version
  * New kderules script
  * Migrated from man-pages format to undocumented format
  * Changed changelog versioning to fit the rest of the KDE package versioning

 -- Ivan E. Moore II <rkrusty@debian.org>  Sun, 13 Jun 1999 09:49:48 -0400

kdevelop (990531-1) experimental; urgency=low

  * Use DESTDIR mechanism instead of --with-install-root
  * Do not install subdirectories of doc-base

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Mon, 31 May 1999 21:49:48 +0200

kdevelop (990422-1) experimental; urgency=low

  * Initial Release

 -- Bernd Gehrmann <bernd@physik.hu-berlin.de>  Thu, 22 Apr 1999 20:33:18 +0200

